开源 企业版 高校版 私有云 模力方舟 AI 队友
代码拉取完成,页面将自动刷新
捐赠
捐赠前请先登录
扫描微信二维码支付
取消
支付完成
支付提示
将跳转至支付宝完成支付
确定
取消
1 Star 0 Fork 0

api-go/php-src

加入 Gitee
与超过 1400万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
已有帐号? 立即登录
文件
master
分支 (321)
标签 (1019)
master
PHP-7.4
PHP-7.3
PHP-7.2
PHP-7.4.1
PHP-7.2.26
PHP-7.3.13
PHP-7.1
PHP-7.4.0
PHP-7.2.25
PHP-7.3.12
PHP-7.2.24
PHP-7.3.11
PHP-7.2.23
PHP-7.3.10
PHP-7.2.22
PHP-7.3.9
PHP-7.2.21
PHP-7.3.8
PHP-7.3.7
php-7.4.1
php-7.2.26
php-7.3.13
php-7.4.1RC1
php-7.3.13RC1
php-7.2.26RC1
php-7.4.0
php-7.2.25
php-7.3.12
php-7.4.0RC6
php-7.3.12RC1
php-7.2.25RC1
php-7.4.0RC5
php-7.1.33
php-7.2.24
php-7.3.11
php-7.4.0RC4
php-7.3.11RC1
php-7.2.24RC1
php-7.4.0RC3
master
分支 (321)
标签 (1019)
master
PHP-7.4
PHP-7.3
PHP-7.2
PHP-7.4.1
PHP-7.2.26
PHP-7.3.13
PHP-7.1
PHP-7.4.0
PHP-7.2.25
PHP-7.3.12
PHP-7.2.24
PHP-7.3.11
PHP-7.2.23
PHP-7.3.10
PHP-7.2.22
PHP-7.3.9
PHP-7.2.21
PHP-7.3.8
PHP-7.3.7
php-7.4.1
php-7.2.26
php-7.3.13
php-7.4.1RC1
php-7.3.13RC1
php-7.2.26RC1
php-7.4.0
php-7.2.25
php-7.3.12
php-7.4.0RC6
php-7.3.12RC1
php-7.2.25RC1
php-7.4.0RC5
php-7.1.33
php-7.2.24
php-7.3.11
php-7.4.0RC4
php-7.3.11RC1
php-7.2.24RC1
php-7.4.0RC3
克隆/下载
克隆/下载
提示
下载代码请复制以下命令到终端执行
为确保你提交的代码身份被 Gitee 正确识别,请执行以下命令完成配置
初次使用 SSH 协议进行代码克隆、推送等操作时,需按下述提示完成 SSH 配置
1 生成 RSA 密钥
2 获取 RSA 公钥内容,并配置到 SSH公钥
在 Gitee 上使用 SVN,请访问 使用指南
使用 HTTPS 协议时,命令行会出现如下账号密码验证步骤。基于安全考虑,Gitee 建议 配置并使用私人令牌 替代登录密码进行克隆、推送等操作
Username for 'https://gitee.com': userName
Password for 'https://userName@gitee.com': # 私人令牌
master
分支 (321)
标签 (1019)
master
PHP-7.4
PHP-7.3
PHP-7.2
PHP-7.4.1
PHP-7.2.26
PHP-7.3.13
PHP-7.1
PHP-7.4.0
PHP-7.2.25
PHP-7.3.12
PHP-7.2.24
PHP-7.3.11
PHP-7.2.23
PHP-7.3.10
PHP-7.2.22
PHP-7.3.9
PHP-7.2.21
PHP-7.3.8
PHP-7.3.7
php-7.4.1
php-7.2.26
php-7.3.13
php-7.4.1RC1
php-7.3.13RC1
php-7.2.26RC1
php-7.4.0
php-7.2.25
php-7.3.12
php-7.4.0RC6
php-7.3.12RC1
php-7.2.25RC1
php-7.4.0RC5
php-7.1.33
php-7.2.24
php-7.3.11
php-7.4.0RC4
php-7.3.11RC1
php-7.2.24RC1
php-7.4.0RC3
php-src
/
scripts
/
dev
/
genfiles
php-src
/
scripts
/
dev
/
genfiles
genfiles 5.51 KB
一键复制 编辑 原始数据 按行查看 历史
#!/bin/sh
#
# +----------------------------------------------------------------------+
# | Copyright (c) The PHP Group |
# +----------------------------------------------------------------------+
# | This source file is subject to version 3.01 of the PHP license, |
# | that is bundled with this package in the file LICENSE, and is |
# | available through the world-wide-web at the following url: |
# | https://php.net/license/3_01.txt |
# | If you did not receive a copy of the PHP license and are unable to |
# | obtain it through the world-wide-web, please send a note to |
# | license@php.net so we can mail you a copy immediately. |
# +----------------------------------------------------------------------+
# | Authors: Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
# This script generates PHP lexer and parser files required to build PHP. The
# generated files are ignored in the Git repository and packaged during the PHP
# release process into the release installation archive download. This way the
# bison and re2c dependencies are not required to build PHP when downloading
# release archive.
#
# Usage: genfiles
#
# Environment:
# The following environment variables can override default generators paths.
#
# YACC Parser generator program, default bison
# RE2C Lexer generator program, default re2c
# SED Path to sed program, default sed
# MAKE Path to make program, default make
#
# For example:
# YACC=/path/to/bison ./genfiles
YACC=${YACC:-bison}
YACC="$YACC -l"
RE2C=${RE2C:-re2c}
RE2C_FLAGS="-i"
SED=${SED:-sed}
MAKE=${MAKE:-make}
# Go to project root.
cd $(CDPATH= cd -- "$(dirname -- "0ドル")/../../" && pwd -P)
# Check required bison version from the configure.ac file.
required_bison_version=$($SED -n 's/PHP_PROG_BISON(\[\([0-9\.]*\)\].*/1円/p' configure.ac)
set -f; IFS='.'; set -- $required_bison_version; set +f; IFS=' '
required_bison_num="$(expr ${1:-0} \* 10000 + ${2:-0} \* 100 + ${3:-0})"
current_version=$($YACC --version 2> /dev/null | grep 'GNU Bison' | cut -d ' ' -f 4 | tr -d a-z)
set -f; IFS='.'; set -- $current_version; set +f; IFS=' '
current_bison_num="$(expr ${1:-0} \* 10000 + ${2:-0} \* 100 + ${3:-0})"
if test -z "$current_version"; then
echo "genfiles: bison not found." >&2
echo " You need bison version $required_bison_version or newer installed" >&2
echo " to regenerate parser files." >&2
exit 1
fi
if test "$current_bison_num" -lt "$required_bison_num"; then
echo "genfiles: bison version $current_version found." >&2
echo " You need bison version $required_bison_version or newer installed" >&2
echo " to build parser files." >&2
exit 1
else
echo "genfiles: bison version $current_version (ok)"
fi
# Check required re2c version from the configure.ac file.
required_re2c_version=$($SED -n 's/PHP_PROG_RE2C(\[\(.*\)\])/1円/p' configure.ac)
set -f; IFS='.'; set -- $required_re2c_version; set +f; IFS=' '
required_re2c_num="$(expr ${1:-0} \* 10000 + ${2:-0} \* 100 + ${3:-0})"
current_version="$($RE2C --version | cut -d ' ' -f 2 2>/dev/null)"
set -f; IFS='.'; set -- $current_version; set +f; IFS=' '
current_re2c_num="$(expr ${1:-0} \* 10000 + ${2:-0} \* 100 + ${3:-0})"
if test -z "$current_version"; then
echo "genfiles: re2c not found." >&2
echo " You need re2c version $required_re2c_version or newer installed" >&2
echo " to regenerate lexer files." >&2
exit 1
fi
if test "$current_re2c_num" -lt "$required_re2c_num"; then
echo "genfiles: re2c version $current_version found." >&2
echo " You need re2c version $required_re2c_version or newer installed" >&2
echo " to build lexer files." >&2
exit 1
else
echo "genfiles: re2c version $current_version (ok)"
fi
# Check if make exists.
if ! test -x "$(command -v $MAKE)"; then
echo "genfiles: make not found. Please install make to generate files." >&2
exit 1
fi
echo "genfiles: Generating Zend parser and lexer files"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" YACC="$YACC" SED="$SED" srcdir=Zend builddir=Zend top_srcdir=. \
-f Zend/Makefile.frag \
Zend/zend_language_parser.c \
Zend/zend_language_scanner.c \
Zend/zend_ini_parser.c \
Zend/zend_ini_scanner.c
echo "genfiles: Generating phpdbg parser and lexer files"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" YACC="$YACC" srcdir=sapi/phpdbg builddir=sapi/phpdbg top_srcdir=. \
-f sapi/phpdbg/Makefile.frag \
sapi/phpdbg/phpdbg_parser.c \
sapi/phpdbg/phpdbg_lexer.c
echo "genfiles: enerating json extension parser and lexer files"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" YACC="$YACC" srcdir=ext/json builddir=ext/json top_srcdir=. \
-f ext/json/Makefile.frag \
ext/json/json_parser.tab.c \
ext/json/json_scanner.c
echo "genfiles: Generating PDO lexer file"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" srcdir=ext/pdo builddir=ext/pdo top_srcdir=. \
-f ext/pdo/Makefile.frag \
ext/pdo/pdo_sql_parser.c
echo "genfiles: Generating standard extension lexer files"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" srcdir=ext/standard builddir=ext/standard top_srcdir=. \
-f ext/standard/Makefile.frag \
ext/standard/var_unserializer.c \
ext/standard/url_scanner_ex.c
echo "genfiles: Generating phar extension lexer file"
$MAKE RE2C="$RE2C" RE2C_FLAGS="$RE2C_FLAGS" srcdir=ext/phar builddir=ext/phar top_srcdir=. \
-f ext/phar/Makefile.frag \
ext/phar/phar_path_check.c
Loading...
举报
举报成功
我们将于2个工作日内通过站内信反馈结果给你!
请认真填写举报原因,尽可能描述详细。
请选择举报类型
取消
发送
误判申诉

此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。

如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。

取消
提交

简介

php-src 镜像库
暂无标签
未知许可证
查看未知开源许可协议
取消

发行版

暂无发行版

贡献者

全部

近期动态

不能加载更多了
编辑仓库简介
简介内容
主页
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/netscript/php-src.git
git@gitee.com:netscript/php-src.git
netscript
php-src
php-src
master
点此查找更多帮助

搜索帮助

评论
仓库举报
回到顶部
登录提示
该操作需登录 Gitee 帐号,请先登录后再操作。
立即登录
没有帐号,去注册

AltStyle によって変換されたページ (->オリジナル) /